extends layout

block content
  form(action="/" method="post")
    div#main
      h1 Happy Halloween!
      div#playground
        each sprite in spriteList
          div(style='left:' + sprite.x + 'px; top:' + sprite.y + 'px;').asticot
            span= sprite.name

      div#panel
        fieldset
          legend Choisi et contrôle ta citrouille

          select(name="spriteId")
            each sprite in spriteList
              if (sprite.id == spriteId)
                option(value=sprite.id, selected) #{sprite.name}
              else
                option(value=sprite.id) #{sprite.name}

          button(type="submit" name="action" class="btnMove" value="left")  ⇦
          button(type="submit" name="action" class="btnMove" value="up")    ⇧
          button(type="submit" name="action" class="btnMove" value="down")  ⇩
          button(type="submit" name="action" class="btnMove" value="right") ⇨
          button(type="submit" name="action" class="btnAdd"  value="addSprite") Add
        br
